Chinaunix首页 | 论坛 | 博客
  • 博客访问: 5205289
  • 博文数量: 1004
  • 博客积分: 8199
  • 博客等级: 中将
  • 技术积分: 13042
  • 用 户 组: 普通用户
  • 注册时间: 2010-05-25 20:19
个人简介

脚踏实地、勇往直前!

文章分类

全部博文(1004)

文章存档

2020年(1)

2019年(93)

2018年(208)

2017年(81)

2016年(49)

2015年(50)

2014年(170)

2013年(52)

2012年(177)

2011年(93)

2010年(30)

分类: LINUX

2013-12-05 15:56:05


今天在安装oracle 11GR2的时候,有两项package检查没有通过,提示缺少如下两个包:
elfutils-libelf-devel-0.125-3.el5.i386.rpm
elfutils-libelf-devel-static-0.125-3.el5.i386.rpm

于是逐一安装
[root@host1 Server]# rpm -ivh elfutils-libelf-devel-0.125-3.el5.i386.rpm
warning: elfutils-libelf-devel-0.125-3.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
error: Failed dependencies:
        elfutils-libelf-devel-static = 0.125-3.el5 is needed by elfutils-libelf-devel-0.125-3.el5.i386

错误提示是需要事先安装elfutils-libelf-devel-static
那就好吧,安装elfutils-libelf-devel-static

[root@host1 Server]# rpm -ivh elfutils-libelf-devel-static-0.125-3.el5.i386.rpm
warning: elfutils-libelf-devel-static-0.125-3.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
error: Failed dependencies:
        elfutils-libelf-devel = 0.125-3.el5 is needed by elfutils-libelf-devel-static-0.125-3.el5.i386
这个提示是需要事先安装elfutils-libelf-devel,怎么这两个包都需要相互依赖呢,试了几次都是这样的错误,最后没办法同时安装

[root@host1 Server]# rpm -ivh elfutils-libelf-devel-static-0.125-3.el5.i386.rpm elfutils-libelf-devel-0.125-3.el5.i386.rpm
warning: elfutils-libelf-devel-static-0.125-3.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
Preparing...                ########################################### [100%]
   1:elfutils-libelf-devel  ########################################### [ 50%]
   2:elfutils-libelf-devel-s########################################### [100%]

呵呵,安装成功!

-- The End --

阅读(19251) | 评论(1) | 转发(0) |
给主人留下些什么吧!~~

sgeblis2014-06-20 21:28:40

谢谢